Redmine - Feature #10378

Don’'t show empty fields in email notifications
2012-03-05 20:00 - Gerry Hawkins

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Email notifications Estimated time: 0.00 hour
Target version: 4.1.0

Resolution: Fixed

Description

I think | would like to see the option to not have empty issue fields included in email notifications. There are some fields, custom or
otherwise, that do not regularly have a value. Having them not present in the notification email would save a bit of space and make
the reading a bit easier.

Related issues:
Related to Redmine - Feature #13307: Start date and due date in email notific... Closed

Associated revisions

Revision 18280 - 2019-06-20 09:36 - Jean-Philippe Lang

Don't show empty fields in email notifications (#10378).

Patch by Yuichi HARADA.

Revision 18308 - 2019-06-20 19:19 - Jean-Philippe Lang
Test errors with SQLite3 (#10378).

History

#1 - 2018-11-08 10:47 - Go MAEDA

+1
I may overlook information if there are too many empty fields.

Suppressing empty fields is also important if we add new fields such as start date and due date to notification emails (See the patch on #13307).

#2 - 2018-11-14 09:12 - Yuichi HARADA
- File 10378-suppress-empty-fields.patch added

+1
If you suppress empty fields, the email will be simplize.

| made a patch, and attach it.

#3 - 2018-11-19 13:33 - Go MAEDA

- Target version set to Candidate for next major release

#4 - 2018-11-25 01:43 - Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

Setting the target version to 4.1.0.

| think we should implement this feature before implementing #13307 that adds start date and due date to the list in notifications.

#5 - 2018-11-25 01:44 - Go MAEDA
- Related to Feature #13307: Start date and due date in email notifications added

#6 - 2019-06-20 09:36 - Jean-Philippe Lang

- Subject changed from suppress empty fields on email notifications to Don't show empty fields in email notifications

2025-07-06 1/2



https://www.redmine.org/issues/13307
https://www.redmine.org/issues/13307

- Status changed from New to Closed
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Patch committed, thanks.
